########################################
# Core-SBML package
########################################
# Services provided by the package:
#
# 1. schema validation for Core SBML
# 2. compilers
#  - from SBML to Core SBML and back
#  - from Core SBML to BioCham
#  - from Core SBML to Biocomputing's networks
# 3. graph generation for Core SBML networks
#    by using BioComputing's Network-Graph tool
# 4. maps Core SBML networks to
#    differential equations
## ######################################
#
# The instructions for installation of
# needed software packages can be found
# in the file
#
# install.mk
## ######################################
#
# The main directory is SBML. Goto there:
#
#    cd SBML
#
# For the documentation of the full
# services in SBML see:
#
#    SBML/services.mk
#
## ######################################
# For testing on the package on a simple
# SBML example do here:
#
#    make
#
## ######################################


