## ###############################################
## fix the values of some of the parameters,
## the missing files (if there are some)
## and run make
##################################################

NETWORKS_DIR=Networks
NETWORK_EXAMPLES= Networks

MAX-SOLUTION-GRAPHS=10


# NETWORK = diabetes-fluxes
# ANALYSES  = art

# NETWORK = regulation-free-aspartate-C-main
# NETWORK = aspartate-C
# NETWORK = feedback
# NETWORK = repeat-eat
# NETWORK = aspartate-niehren
# NETWORK = aspartate-degrad
# NETWORK = glutamate
# NETWORK = insulin-snoopy
# cons_laws_jo
# insulin
# diabetes
# diabetes-no-in-out
# NETWORK = insulin

# NETWORK	  = B065

# NETWORK = simple-loop
# NETWORK = B621
# NETWORK = B449
# NETWORK = B309


# NETWORK	  = PIlv-Leu
NETWORK  = BioModels/curated-2024/B740
# 
LABELS=true

# NETWORK = B620
# NETWORK = toppModel-0.1
# NETWORK = ex-over1
# NETWORK = acyc
# NETWORK = cyc
# NETWORK = Phyto
# NETWORK = Din
# NETWORK = MM-simplified
# NETWORK = KetBC-MM
# NETWORK = sebastien

# NETWORK = loic-neg-feedback-partial
# NETWORK = MM-nanis-2P
# NETWORK = intern/leucine-C
# NETWORK = leucine-C-no-feedback
# NETWORK = leucine-metabolic
# NETWORK = leucine-C-regulation-free

# NETWORK = PIlv-Leu-explicit-degradation
# NETWORK = dallaman2007
# NETWORK = leucine-metabolic-network

ANALYSES  = Test

# ANALYSES  = diff_means_native_10h_6h   	\
	diff_means_native_24h_10h		\
        diff_means_constituitive_10h_6h 	\
	means_native_6h 			\
	means_native_10h 			\
	means_native_24h 			\
	means_constituitive_6h 			\
        means_constituitive_10h 
# ANALYSES  = means_native_10h
# ANALYSIS  = means_native_6h
# ANALYSIS  = means_constituitive_6h
# ANALYSIS  = means_native_10h
# ANALYSIS  = mean_differences_native_10h_6h

# NETWORK = krebs
# NETWORK = pyruvate-krebs

# NETWORK = pyruvate-krebs-leucine


#  NETWORK = pyr-leu-chains
#  NETWORK = generic-lpdv-loop
#  NETWORK = Tet-On
#  NETWORK = leucine-metabolic-inout
#  NETWORK = leucine
#  NETWORK = pyruvate-metabolic
#  NETWORK = PIlv-Leu
#  NETWORK = mini
#  NETWORK = EMYX
#  NETWORK = leucine-metabolic-Thr
#  NETWORK = pyruvate

#  NETWORK = Smad

#  NETWORK = mini-stoechiometry
#  NETWORK = simple-loop
#  NETWORK = fages

# NETWORK = dynamical-compensation
# NETWORK = linear-integral-control
# NETWORK = aspartate-C
# NETWORK = leucine-C
# NETWORK=contreEFM
# NETWORK = glutamate-alice-0.1
# NETWORK = glutamate-sarah-0.2

#TARGET-JN  = newvalidate
TARGET-JN = one
# TARGET = pdfpwdpwd
# TARGET = tex

#  KNOCKOUTS = empty

JN:
	echo ANALYSES=$(ANALYSES)
	for analysis in $(ANALYSES); do		\
	    $(MAKE) ANALYSIS=$$analysis JN-top;	\
	done;

JN-top:
	@echo KNOCKOUTS_FILE=$(KNOCKOUTS_FILE)
	$(MAKE) NETWORK=$(NETWORK) 		\
		TARGET=$(TARGET-JN) 		\
		ANALYSIS=$(ANALYSIS) 		\
	top
k:
	@echo KNOCKOUTS_FILE=$(KNOCKOUTS_FILE)
