<xsl:stylesheet 
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    version="2.0"
    exclude-result-prefixes="xs">

    <xsl:output   
	method="xml" 
	version="1.0"
	encoding="utf-8"
	indent="yes"/>
    
    <xsl:template match="*">
      <xsl:variable name="tag">
	<xsl:copy-of select="name()"/>
      </xsl:variable>

      <xsl:element name="{$tag}">
	<xsl:apply-templates select="@*|*|text()"/>
      </xsl:element>
    </xsl:template>

    <xsl:template match="@*">
     <xsl:variable name="name">
	<xsl:copy-of select="name()"/>
      </xsl:variable>
      
      <xsl:attribute name="{$name}"><xsl:value-of select="normalize-space(.)"/></xsl:attribute>
    </xsl:template>

    <xsl:template match="text()">
      <xsl:copy-of select="normalize-space(.)"/>
    </xsl:template>
     
</xsl:stylesheet>
