################################################################
## Main Services:
################################################################
##
##  make
##
##    converts the SBML model $(NETWORK_DIR)/$(NETWORK).xml to:
##    - a Core SBML network (network.csbml)
##    - a BioComputing network (1.xml)
##        which can be layouted while considering label sizes
##        if $(LABELS)=true and displayed in pdf format
##        (core-graph.pdf)
##    - a BioCham network (network.bc)
##    - the output directory is
##         $(OUTPUT_DIR)/$(NETWORK)
##    - a file log.txt is a log of the conversion process
##
## make o
##
##    opens the PDF file with the generated graph and differential
##    equations in the output directory:
##
##         core-graph.pdf
##
## make all
##
##    calls make for all XML files in $(NETWORK_DIR)
##
## make s
##
##    prints statistics on errors and warning for the last
##    application make for all XML files in $(NETWORK_DIR)
## 
## make ABS_NETWORK_FILE=<Filename> validate-csbml
##
##     validates the file with the absolute path <Filename>
##     for the XML schema of Core SBML (DTD and Schematron).
##
## make NETWORK_FILE=<Filename> core2sbml
##
##    converts the Core-SBML file at relative path <Filename>
##    to a SBML file $(OUTPUT_DIR)/model-from-core.sbml
## 
##############################################################
